add missing ignores
[oweals/gnunet.git] / src / gns / test_gns_mx_lookup.sh
1 #!/bin/bash
2 # This file is in the public domain.
3 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4
5 LOCATION=$(which gnunet-config)
6 if [ -z $LOCATION ]
7 then
8   LOCATION="gnunet-config"
9 fi
10 $LOCATION --version 1> /dev/null
11 if test $? != 0
12 then
13         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14         exit 77
15 fi
16
17 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
18 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
19
20 MY_EGO="myego"
21 TEST_MX="5,mail.+"
22 gnunet-arm -s -c test_gns_lookup.conf
23 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
24 PKEY=`gnunet-identity -d | grep "$MY_EGO - " | awk '{print $3'}`
25 WANT_MX="5,mail.$PKEY"
26 gnunet-namestore -p -z $MY_EGO -a -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
27
28 RES_MX=`$DO_TIMEOUT gnunet-gns --raw -u www.$MY_EGO -t MX -c test_gns_lookup.conf`
29 gnunet-namestore -z $MY_EGO -d -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
30 gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
31 gnunet-arm -e -c test_gns_lookup.conf
32 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
33
34 # make cmp case-insensitive by converting to lower case first
35 RES_MX=`echo $RES_MX | tr [A-Z] [a-z]`
36 WANT_MX=`echo $WANT_MX | tr [A-Z] [a-z]`
37
38 if [ "$RES_MX" == "$WANT_MX" ]
39 then
40   exit 0
41 else
42   echo "FAIL: did not get proper IP, got $RES_MX, expected $WANT_MX."
43   exit 1
44 fi